Bug 964104 - Fails to migrate for zend-5.6 apps with jenkins client added
Fails to migrate for zend-5.6 apps with jenkins client added
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 04:58 EDT by joycezhang
Modified: 2015-05-14 19:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:05:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2013-05-17 04:58:30 EDT
Description of problem:
If trying to migrate zend-5.6 app with jenkins client added, it would be failed with error shown as below:

Migrating app 'zendjenk' gear 'zendjenk' with uuid '519591d4548dd90a47000003' on node 'ip-10-152-178-145' for user: jinzhang+1@redhat.com
Failed to migrate with cmd: '/usr/bin/rhc-admin-migrate --login 'jinzhang+1@redhat.com' --migrate-gear '519591d4548dd90a47000003' --app-name 'zendjenk' --version '2.0.28'' after 2 tries with exception: Failed migrating gear. Rerun with: /usr/bin/rhc-admin-migrate --login 'jinzhang+1@redhat.com' --migrate-gear '519591d4548dd90a47000003' --app-name 'zendjenk' --version '2.0.28'
Migrating gear on node with: /usr/bin/rhc-admin-migrate --login 'jinzhang+1@redhat.com' --migrate-gear '519591d4548dd90a47000003' --app-name 'zendjenk' --version '2.0.28'
Caught an exception during internal migration steps: Cartridge manifest not found: /var/lib/openshift/519591d4548dd90a47000003/node_modules/metadata/manifest.yml missing
/usr/bin/rhc-admin-migrate --login 'jinzhang+1@redhat.com' --migrate-gear '519591d4548dd90a47000003' --app-name 'zendjenk' --version '2.0.28'

It can work well if migrate for a single zend-5.6 cartridge app, or zend-5.6 app with other addon cartridges like postgresql.8.5, mysql-5.1 and etc.

Version-Release number of selected component (if applicable):
Upgrading devenv-stage_353 to devenv_3235 and migrate

How reproducible:
always

Steps to Reproduce:
1. Launch devenv-stage_353
2. Create a zend-5.6 app with jenkins-client added
3. Add V1 marker to node
touch /var/lib/openshift/.settings/v1_cartridge_format
4. scp -r ~/devenv-local and /etc/yum.repos.d/* from devenv_3235 instance to same location on devenv-stage_353 instance
5. yum update -y --enablerepo devenv-local
6. Run oo-admin-clear-pending-ops
7. Remove the v1 marker from the node
rm -f /var/lib/openshift/.settings/v1_cartridge_format
8. Clear the broker cache
rake tmp:clear
9. Restart the rhc-broker and mcollective
10. Run migrate-mongo-2.0.28 
11. Run rhc-admin-migrate --version 2.0.28
12. Check migrate log for the app and check app status.
  
Actual results:
It's failed during the migration with jenkins client.

Expected results:
It should be successful.

Additional info:
Comment 1 Vojtech Vitek 2013-05-17 10:40:40 EDT
zend + jenkins client combo migrated successfully.

> Marking step zend_hook complete
> Marking step zend_connect_frontend complete
> Migrating cartridge jenkins-client
> Marking step jenkins-client_create_directory complete
> Marking step jenkins-client_setup complete
> Marking step jenkins-client_erb complete
> applying jenkins-client-1.4 migration post-process
> Marking step jenkins-client_hook complete
> Marking step jenkins-client_connect_frontend complete
> Pre-migration state: started
> Post-migration response code: 200
Comment 2 Dan McPherson 2013-05-17 21:15:43 EDT
The error list in comment 1 appears to be from nodejs.  We have made several related changes but were never able to recreate the issue.  If you can recreate the issue, any additional info you can provide would be helpful.

https://github.com/openshift/li/pull/1417
Comment 3 joycezhang 2013-05-20 03:58:48 EDT
Verified on devenv_stage_353 migrated to devenv_3246, zend-5.6 app with jenkins client added can be migrated successfully. Thanks.

Note You need to log in before you can comment on or make changes to this bug.